package cn.com.countrygarden.bi.main.service.performance;

import cn.com.countrygarden.bi.main.model.performance.monthly.AssessmentMonthlyTarget;

import java.util.List;

/**
 * 月度考核相关状态
 *
 * @author Max Date:2018/09/19
 * @version 1.0
 * @since 1.8
 */
public interface AssessmentMonthlyTargetService {

    int deleteByPrimaryKey(Integer amtId);

    int insertSelective(AssessmentMonthlyTarget record);

    AssessmentMonthlyTarget selectByPrimaryKey(Integer amtId);

    int updateByPrimaryKeySelective(AssessmentMonthlyTarget record);

    //查询状态
    AssessmentMonthlyTarget selectJudgeLock(long elementId, int year, int month);

    //得到未锁定的区域
    List<AssessmentMonthlyTarget> getUnLockOrgans(Integer year, Integer month);

    //得到未锁定的城市公司
    List<AssessmentMonthlyTarget> getUnLockCompanys(Integer year, Integer month);

    //更新发布状态--区域
    void updateOrganMonthlyPublicStatus(Integer year,Integer month);

    //更新发布状态--城市公司
    void updateCompanyMonthlyPublicStatus(Integer year,Integer month);

    //查询最后一个月是否发布--区域
    List<AssessmentMonthlyTarget> getOgranLastMonthPublic(Integer year,Integer month);

    //查询最后一个月是否发布--城市公司
    List<AssessmentMonthlyTarget> getCompanyLastMonthPublic(Integer year,Integer month);


}
